package com.dsk.biz.service;


import com.dsk.biz.domain.bo.CustomerSearchDto;
import com.dsk.biz.domain.vo.CustomerAnalyzeVo;

import java.util.List;
import java.util.Map;

/**
 * @author lcl
 * @create 2023/8/15
 */
public interface ICustomerOverviewService {

    Map<String, Object> statistics(CustomerSearchDto dto);

    List<CustomerAnalyzeVo> cooperationTop(CustomerSearchDto dto);

    List<Map<String, Object>> creditLevel(CustomerSearchDto dto);

}
